## readerwriterqueue 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)
project(readerwriterqueue VERSION 1.0.0)

include(GNUInstallDirs)

add_library(${PROJECT_NAME} INTERFACE)

install(FILES atomicops.h readerwriterqueue.h LICENSE.md
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})

## readerwriterqueue 1.0.2

=== debian/changelog ===
readerwriterqueue (1.0.2-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jul 2020 14:12:14 +0200

readerwriterqueue (1.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #964057)

 -- Steffen Moeller <moeller@debian.org>  Tue, 30 Jun 2020 23:15:23 +0200

=== debian/control ===
Source: readerwriterqueue
Section: devel
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: https://github.com/cameron314/readerwriterqueue
Vcs-Browser: https://salsa.debian.org/med-team/readerwriterqueue
Vcs-Git: https://salsa.debian.org/med-team/readerwriterqueue.git
Rules-Requires-Root: no

Package: libreaderwriterqueue-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Description: single-producer, single-consumer lock-free queue for C++
 This package provides a lock-free queue  for C++.  It only supports
 a two-thread use case (one consuming, and one producing). The threads
 can't switch roles, though you could use this queue completely from a
 single thread if you wish (but that would sort of defeat the purpose!).
 .
 Features:
  * Blazing fast
  * Compatible with C++11 (supports moving objects instead of making
  copies)
  * Fully generic (templated container of any type) -- just like
    std::queue, you never need to allocate memory for elements yourself
    (which saves you the hassle of writing a lock-free memory manager
    to hold the elements you're queueing)
  * Allocates memory up front, in contiguous blocks
  * Provides a try_enqueue method which is guaranteed never to allocate
    memory (the queue starts with an initial capacity)
  * Also provides an enqueue method which can dynamically grow the size
    of the queue as needed
  * Also provides try_emplace/emplace convenience methods
  * Has a blocking version with wait_dequeue
  * Completely "wait-free" (no compare-and-swap loop). Enqueue and
    dequeue are always O(1) (not counting memory allocation)
  * On x86, the memory barriers compile down to no-ops, meaning enqueue
    and dequeue are just a simple series of loads and stores (and
    branches)

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C tests/unittests/
	$(MAKE) -C benchmarks/

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo | ./tests/unittests/unittests
	benchmarks/benchmarks
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f tests/unittests/unittests
	rm -f tests/stabtest/stabtest tests/stabtest/log.txt
	rm -f benchmarks/benchmarks

## readerwriterqueue 1.0.3

=== debian/changelog ===
readerwriterqueue (1.0.3-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.0.3
  * Remove useless license file

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 24 Sep 2020 22:05:06 +0530

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13), cmake
 Standards-Version: 4.5.0
 Homepage: https://github.com/cameron314/readerwriterqueue
 Vcs-Browser: https://salsa.debian.org/med-team/readerwriterqueue

## readerwriterqueue 1.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,5 +5,7 @@
 
 add_library(${PROJECT_NAME} INTERFACE)
 
-install(FILES atomicops.h readerwriterqueue.h LICENSE.md
+target_include_directories(readerwriterqueue INTERFACE ${CMAKE_CURRENT_SOURCE_DIR})
+
+install(FILES atomicops.h readerwriterqueue.h readerwritercircularbuffer.h LICENSE.md
         DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})

=== debian/changelog ===
readerwriterqueue (1.0.5-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.0.5
  * Declare compliance with policy 4.5.1
  * Propagate hardening options to fix blhc
  * Install readerwritercircularbuffer.h to /usr/include

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 17:53:43 +0530

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/cameron314/readerwriterqueue
 Vcs-Browser: https://salsa.debian.org/med-team/readerwriterqueue
 Vcs-Git: https://salsa.debian.org/med-team/readerwriterqueue.git

## readerwriterqueue 1.0.6

=== debian/changelog ===
readerwriterqueue (1.0.6-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.0.6
  * Updated standards version (4.6.1)
  * Updated copyright year (2022)

 -- Lance Lin <LQi254@protonmail.com>  Mon, 15 Aug 2022 20:52:19 +0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/cameron314/readerwriterqueue
 Vcs-Browser: https://salsa.debian.org/med-team/readerwriterqueue
 Vcs-Git: https://salsa.debian.org/med-team/readerwriterqueue.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_build:
 	$(MAKE) -C tests/unittests/
@@ -19,6 +19,10 @@
 	benchmarks/benchmarks
 endif
 
+override_dh_install:
+	find debian/ -name "LICENSE.md" -delete
+	dh_install
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f tests/unittests/unittests

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%readerwriterqueue-$1.tar.gz%" \
   https://github.com/cameron314/readerwriterqueue/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## readerwriterqueue 1.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)
project(readerwriterqueue VERSION 1.0.7)

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

add_library(${PROJECT_NAME} INTERFACE)

target_include_directories(readerwriterqueue INTERFACE
                                             $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
                                             $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}/>
)

install(FILES atomicops.h readerwriterqueue.h readerwritercircularbuffer.h LICENSE.md
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME})

install(TARGETS ${PROJECT_NAME}
    EXPORT ${PROJECT_NAME}Targets
)

write_basic_package_version_file(
        ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
    VERSION
        ${PROJECT_VERSION}
    COMPATIBILITY AnyNewerVersion
    ARCH_INDEPENDENT
)

configure_package_config_file(${PROJECT_NAME}Config.cmake.in
                ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
        INSTALL_DESTINATION
                ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}/
)

install(EXPORT
                ${PROJECT_NAME}Targets
        FILE
                ${PROJECT_NAME}Targets.cmake
        NAMESPACE
                "${PROJECT_NAME}::"
        DESTINATION
                ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
        COMPONENT
                Devel
)

install(
        FILES
                ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake
        DESTINATION
                ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}
        COMPONENT
                Devel
)

set(CPACK_PACKAGE_NAME ${PROJECT_NAME})
set(CPACK_PACKAGE_VENDOR "Cameron Desrochers <cameron@moodycamel.com>")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A single-producer, single-consumer lock-free queue for C++.")
set(CPACK_PACKAGE_VERSION "${PROJECT_VERSION}")
set(CPACK_PACKAGE_VERSION_MAJOR "${PROJECT_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${PROJECT_VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${PROJECT_VERSION_PATCH}")
set(CPACK_DEBIAN_PACKAGE_MAINTAINER ${CPACK_PACKAGE_VENDOR})
set(CPACK_GENERATOR "RPM;DEB")

include(CPack)

=== debian/changelog ===
readerwriterqueue (1.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.7
  * d/clean: new declare files needing cleansing.
  * d/rules: simplify.
    Notably remove dh_clean override, since this is handled by d/clean.
  * d/control: declare the package Architecture: any.
    This is due to cmake files with architecture dependent content.
  * d/control: drop redundant Priority: optional.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.3.
  * d/watch: convert to Github uscan template version 5.

 -- Étienne Mollier <emollier@debian.org>  Fri, 27 Feb 2026 17:05:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: readerwriterqueue
 Section: devel
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake
-Standards-Version: 4.6.1
+Standards-Version: 4.7.3
 Homepage: https://github.com/cameron314/readerwriterqueue
 Vcs-Browser: https://salsa.debian.org/med-team/readerwriterqueue
 Vcs-Git: https://salsa.debian.org/med-team/readerwriterqueue.git
-Rules-Requires-Root: no
 
 Package: libreaderwriterqueue-dev
-Architecture: all
+Architecture: any
 Section: libdevel
 Depends: ${misc:Depends}
 Description: single-producer, single-consumer lock-free queue for C++

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_build:
	$(MAKE) -C tests/unittests/
	$(MAKE) -C benchmarks/

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo | ./tests/unittests/unittests
	benchmarks/benchmarks
endif

execute_before_dh_install:
	find debian/ -name "LICENSE.md" -delete

=== debian/watch ===
Version: 5

Template: Github
Project: readerwriterqueue
Owner: cameron314
